Connexion

Forum

Support général » Installation et configuration openssh dépendances mageia 7 Le paquet n'installe pas openssh-client et openssh-askpass

gillesth Membre non connecté

Rang

Avatar

Inscrit le : 28/10/2012 à 10h26

Messages: 96

Le 09/07/2019 à 12h27

À la suite de l'installation de Mageia 7 (avec reformage de la partition racine, mais pas de la partition \home), j'ai voulu réinstaller openssh, mais le système ne trouvait pas ssh quand je le lançais en ligne de commandes.

J'ai fini par comprendre en lisant la doc du paquet.

" To make this package useful, you should also install openssh-clients, openssh-server, or both"

Effectivement en installant le openssh-clients, le système a enfin trouvé ssh, mais la connexion ssh  avec mon serveur habituel (un Nas réseau) ne fonctionnait pas : Could not resolve hostname ...

En fait le message d'erreur est trompeur, car la solution c'est d'installer aussi le paquet openssh-askpass, sans quoi rien ne fonctionne chez moi. Est-ce que c'est que chez moi, ou il y a une petite dépendance à corriger ?

Edité par gillesth Le 09/07/2019 à 12h35
   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 6604

Le 10/07/2019 à 11h14
Je pense que la dépendance est dans le sens openssh-askpass demande openssh, et pas dans l'autre sens.


Yves
   
gillesth Membre non connecté

Rang

Avatar

Inscrit le : 28/10/2012 à 10h26

Messages: 96

Le 10/07/2019 à 12h15

En fait, avant d'installer openssh, Mageia m'avais installé (sans que je demande rien) openssh-askpass-qt5, et je crois aussi openssh-askpass-common, mais ça n'a pas provoqué apparemment de dépendance pour l'installation du paquet openssh.

Sous mageia 6, j'avais une boite de dialogue qt je pense, de look bien intégré au systeme. J'ai maintenant, avec openssh-askpass une "vieille" boite de dialoque X11.

Je voulais essayer de desinstaller/réinstaller openssh-askpass-qt5 mais il y a trop de paquets qui en dépendent. Je touche à rien

Bon, c'est pas dramatique, mais si quelqu'un a une idée comment remettre tout en place.

   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 6604

Le 10/07/2019 à 13h19
gillesthSous mageia 6, j'avais une boite de dialogue qt je pense, de look bien intégré au systeme. J'ai maintenant, avec openssh-askpass une "vieille" boite de dialoque X11.[/p :

Je voulais essayer de desinstaller/réinstaller openssh-askpass-qt5 mais il y a trop de paquets qui en dépendent. Je touche à rien

Bon, c'est pas dramatique, mais si quelqu'un a une idée comment remettre tout en place.


Pareil pour moi.
Je suis preneur aussi d'une solution.
rpm -qa|grep askpass
openssh-askpass-qt5-2.1.0-3.mga7
openssh-askpass-common-8.0p1-1.mga7
openssh-askpass-8.0p1-1.mga7

ls -lsa /usr/libexec/openssh
total 836
4 drwxr-xr-x 2 root root 4096 juil. 7 23:35 ./
12 drwxr-xr-x 32 root root 12288 juil. 9 16:41 ../
0 lrwxrwxrwx 1 root root 29 juil. 7 23:35 ssh-askpass -> /etc/alternatives/ssh-askpass*
440 -rws--x--x 1 root root 449664 mai 1 15:49 ssh-keysign*
328 -rwxr-xr-x 1 root root 332008 mai 1 15:49 ssh-pkcs11-helper*
52 -rwxr-xr-x 1 root root 49768 mai 1 15:49 x11-ssh-askpass*

ls -lsa /etc/alternatives/ssh-askpass
0 lrwxrwxrwx 1 root root 36 juil. 7 23:35 /etc/alternatives/ssh-askpass -> /usr/libexec/openssh/x11-ssh-askpass

urpmi --replacepkgs openssh-askpass-qt5


http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/release/openssh-askpass-qt5-2.1.0-3.mga7.x86_64.rpm
installation de openssh-askpass-qt5-2.1.0-3.mga7.x86_64.rpm depuis /var/cache/urpmi/rpms
Préparation... ##############
1/1: openssh-askpass-qt5 #################


Rien n'est changé. Je pense qu'il y a un problème avec ce paquet.



Yves
   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 6604

Le 10/07/2019 à 13h34


Yves
   
david.david Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 11/02/2008 à 23h08

Localisation : Bernwiller, Haut-Rhin

Messages: 2601

Le 10/07/2019 à 18h28
Plutôt étrange moi je n'ai jamais réussit a avoir autre chose qu'une fenêtre X11, même sur mga6.


ASUS K73S (portable) :
Intel Core i3-2350M_2.3GHz, 8 GO RAM DDR3, écran LED 17" (1600x900), CG Intel HD intégrée + CG Nvidia GeForce 610M_1GB dédiée (Technologie Optimus), SSD Samsung 850 EVO 250GB + SSD Samsung 850 EVO 500GB.

Mageia 7 - x86_64bits/ KDE Plasma-5.15.4 (DVD édition), c' est de la bombe, vive MAGEIA et toute l'équipe du STAFF MLO.
de david.david <david.david@mageialinux-online.org>
28281 .Venez nous rejoindre sur le salon IRC de MLO
   
david.david Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 11/02/2008 à 23h08

Localisation : Bernwiller, Haut-Rhin

Messages: 2601

Le 12/07/2019 à 15h42
Bon ça devrait être corrigé avec openssh-askpass-qt5-2.1.0-3.1.mga7 dans le dépôt Core/Updates_testing :blub:


ASUS K73S (portable) :
Intel Core i3-2350M_2.3GHz, 8 GO RAM DDR3, écran LED 17" (1600x900), CG Intel HD intégrée + CG Nvidia GeForce 610M_1GB dédiée (Technologie Optimus), SSD Samsung 850 EVO 250GB + SSD Samsung 850 EVO 500GB.

Mageia 7 - x86_64bits/ KDE Plasma-5.15.4 (DVD édition), c' est de la bombe, vive MAGEIA et toute l'équipe du STAFF MLO.
de david.david <david.david@mageialinux-online.org>
28281 .Venez nous rejoindre sur le salon IRC de MLO
   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 6604

Le 13/07/2019 à 08h39
Ok, ça marche.
Attention, cherchez bien sur l'écran !


Yves
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie